Skip to main content
GET
/
api
/
v1
/
group_connections
List Group Connections
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/group_connections \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/group_connections"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/group_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "offset": 0,
    "page_num": 1,
    "page_size": 20,
    "total_records": 1
  },
  "response": [
    {
      "carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
      "completed": 1557392400,
      "created": 1557329939,
      "group_data": {
        "carrier_group_id": "10000000",
        "group_name": "Test Company"
      },
      "id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
      "modified": 1557392400,
      "organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
      "request_type": "initial",
      "status": "processing",
      "version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b"
    }
  ]
}
Returns a list of all group connections.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer

The max size of each page of results

offset
integer

The integer offset at which to start the page. Possible values are 0 to total_records - 1

id
string

Comma-separated list of requested Group Connection Request UUIDs

status
string

Status of the group connection for which you would like to filter. Multiple statuses can be used, separated by a comma.

carrier_id
string<uuid>

Comma-separated list of carrier UUID's for which you would like to view group connection requests

Example:

"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"

carrier_group_id
string

Used for filtering for a carrier-specific group ID. Must be used with a single carrier_id

organization_id
string<uuid>

The unique identifier of the organization for which you would like to view group connection requests

Example:

"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"

sort_by
string

The attribute on which to sort the group connections

sort_direction
string

Either asc or desc, to denote the data's direction

requires_mapping_action_from
string

The actor type that requires a mapping action from

Response

200 - application/json

Successful Response - Returns all matching Group Connection Requests

meta
object
required

Metadata associated with the response data

response
object[]
required

List of group connection results